Bug 987219 - Incorrect usage info of rhc cartridge-list
Incorrect usage info of rhc cartridge-list
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 22:24 EDT by Liang Xia
Modified: 2015-05-14 22:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:55:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-07-22 22:24:57 EDT
Description of problem:
Run "rhc cartridge-list extrastring", show:
Too many arguments passed in: extrastring
Usage: rhc cartridge-list <action>
Pass '--help' to see the full list of options

Version-Release number of selected component (if applicable):
devenv_3539
rhc 1.12.1 

How reproducible:
always

Steps to Reproduce:
1.Run "rhc cartridge-list extrastring"
2.
3.

Actual results:
# rhc cartridge list extrastring
Too many arguments passed in: extrastring
Usage: rhc cartridge-list <action>
Pass '--help' to see the full list of options

Expected results:
The <action> should be removed.
Additional info:
Comment 1 openshift-github-bot 2013-07-23 10:54:34 EDT
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/1484f56fc32f0ec98ca8b2696d86215292ec8716
Fix bug 987219 - incorrect help for `rhc cartridge-list`
Comment 2 Liang Xia 2013-07-23 22:39:34 EDT
Verified with client on instance of devenv_3544, it has been fixed.



# rhc cartridge list extrastring
Too many arguments passed in: extrastring
Usage: rhc cartridge-list 
Pass '--help' to see the full list of options



# rhc cartridge list --help
Usage: rhc cartridge-list 

Cartridges add functionality to OpenShift applications.  Each application has one web cartridge to listen for HTTP requests,
and any number of addon cartridges.  Addons may include databases like MySQL and Mongo, administrative tools like phpMyAdmin,
or build clients like Jenkins.

Most cartridges that listen for incoming network traffic are placed on one or more gears (a small server instance).  Other
cartridges may be available across all of the gears of an application to listen for changes (like Jenkins) or provide
environment variables.

Use the 'cartridges' command to see a list of all available cartridges. Add a new cartridge to your application with
'add-cartridge'. OpenShift also supports downloading cartridges - pass a URL in place of the cartridge name and we'll
download and install that cartridge into your app.  Keep in mind that these cartridges receive no security updates.  Note
that not all OpenShift servers allow downloaded cartridges.

For scalable applications, use the 'cartridge-scale' command on the web cartridge to set the minimum and maximum scale.

Commands that affect a cartridge within an application will affect all gears the cartridge is installed to.


Options
  -v, --verbose             Display more details about each cartridge

Global Options
  -l, --rhlogin LOGIN       OpenShift login
  -p, --password PASSWORD   OpenShift password
  --token TOKEN             An authorization token for accessing your account.
  --server NAME             An OpenShift server hostname (default: openshift.redhat.com)
  --timeout SECONDS         The timeout for operations

  See 'rhc help options' for a full list of global options.

Note You need to log in before you can comment on or make changes to this bug.